# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=mpfr
pkgver=4.1.0
pkgrel=1
pkgdesc="Multiple-precision floating-point library"
arch=('x86_64')
url="https://www.mpfr.org/"
license=('GPL3' 'LGPL3')
groups=('base')
depends=('glibc' 'gmp')
makedepends=('bash' 'binutils' 'coreutils' 'diffutils' 'gawk' 'gcc' 'grep' 'make' 'sed' 'texinfo')
source=(https://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz)
sha256sums=(0c98a3f1732ff6ca4ea690552079da9c597872d30e96ec28414ee23c95558a7f)

build() {
    cd ${pkgname}-${pkgver}

    ${configure} --disable-static --enable-thread-safe

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
